summaryrefslogtreecommitdiffstats
path: root/wicd
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2008-06-29 22:48:29 +0000
committer Eric Hameleers <alien@slackware.com>2008-06-29 22:48:29 +0000
commit516597b50314b84bcb2b97ebf901443e989b88fd (patch)
tree8c4a1c4cfbe422849400a91355ff8c80c5b562a8 /wicd
parent0c5f813a01d0d7e7ccd61319e445bd1d3b25a323 (diff)
downloadasb-516597b50314b84bcb2b97ebf901443e989b88fd.tar.gz
asb-516597b50314b84bcb2b97ebf901443e989b88fd.tar.xz
Add patch for KDE4's kdesu; add startup lines to rc.local
Diffstat (limited to 'wicd')
-rwxr-xr-xwicd/build/wicd.SlackBuild15
1 files changed, 15 insertions, 0 deletions
diff --git a/wicd/build/wicd.SlackBuild b/wicd/build/wicd.SlackBuild
index 80c877a2..9b72e72b 100755
--- a/wicd/build/wicd.SlackBuild
+++ b/wicd/build/wicd.SlackBuild
@@ -141,6 +141,11 @@ chown -R root:root .
chmod -R u+w,go+r-w,a-s .
echo Building ...
+# Fix missing KDE4 location of kdesu:
+cat $SRCDIR/wicd-1.5.0rc3_misc.py_kde4.patch | patch -p1 \
+ 2>&1 | tee $OUTPUT/patch-$PRGNAM.log
+# Fix the version hardcoding in the setup script:
+sed -i -e "/\/etc\/slackware-version/,/elif os.access/s#/usr/doc/wicd-1.5.0/#/usr/doc/$PRGNAM-$VERSION/#" setup.py
# Use our own Slackware rc script, overwriting what is in the source:
cat $SRCDIR/rc.wicd > init/slackware/rc.wicd
# Only needed to get updated translations:
@@ -180,6 +185,16 @@ config() {
config etc/rc.d/rc.wicd.new
config etc/dbus-1/system.d/wicd.conf.new
+# Update rc.local so that wicd will be started on boot:
+if ! grep -q "rc.wicd" etc/rc.d/rc.local ; then
+ cat <<-_EOM_ >> etc/rc.d/rc.local
+ if [ -x /etc/rc.d/rc.wicd ]; then
+ # echo "Starting network manager: /etc/rc.d/rc.wicd start"
+ /etc/rc.d/rc.wicd start
+ fi
+ _EOM_
+fi
+
# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
chroot . /usr/bin/update-desktop-database /usr/share/applications > /dev/null 2>&1